@import '~/src/themes.scss';
@import '~/node_modules/@sat-valorisation/ui-components/assets/themes/themify.utils.scss';

// default font-size 16 (default browser) --> 1rem = 16px;

html, body {
  margin: 0;
  padding: 0;
  font-size: 100%;
  color: #ffffff;
  background-color: #131313;

  width: 100%;
  height: 100%;
  overflow-y: hidden;
  box-sizing: border-box;
}

#PageLayout {
  background-color: #131313;
  width: 75%;
  height: 100vh;
  margin: 0 auto;

  header {
    .Header {
      display: flex;
      justify-content: flex-start;
      box-shadow: 0px 1px 0px #545454;
    }

    h3 {
      margin: 1rem 0 0.5rem 1rem;
    }
  }

  main {
   display: flex;
   justify-content: center;
   align-items: center;

   padding: 5rem;
  }
}

@include themify('Page', $themes) {
  &#PageLayout {
    font-family: themed('font-family');
    color: themed('font-color');
    background-color: themed('neutral-background');
  }
}
